package card_info_apple

import (
	"context"
	"kami/internal/model"
	"kami/internal/service"

	"kami/api/card_info_apple/v1"
)

func (c *ControllerV1) RechargeStealRuleUpdate(ctx context.Context, req *v1.RechargeStealRuleUpdateReq) (res *v1.RechargeStealRuleUpdateRes, err error) {
	rechargeService := service.AppleOrder()
	err = rechargeService.UpdateStealRule(ctx, &model.StealRuleUpdateInput{
		RechargeStealRuleRecord: req.RechargeStealRuleRecord,
		CommonIntId:             req.CommonIntId,
	})
	return
}
